cURL
curl --request POST \ --url https://api.siray.ai/v1/images/generations/async \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "model": "google/gemini-2.5-flash-image-t2i", "prompt": "example_value" } '
{ "code": "success", "data": { "task_id": "<string>" }, "message": "<string>" }
Documentation IndexFetch the complete documentation index at: https://docs.siray.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.siray.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication using API key
Request payload
Request format for image generation models
Model name to use for the request
google/gemini-2.5-flash-image-t2i
Text prompt for generation
Successful response
Standard async task creation response
Status code returned by the service
"success"
Response payload containing task details
Show child attributes
Additional information about the request result